Package ru.bitel.bgbilling.kernel.contract.api.common.bean

# Class ContractGroup

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.contract.api.common.bean.ContractGroup

All Implemented Interfaces:
  `Serializable`, `Comparable<ContractGroup>`, `GuiTitlable`, `Idable`, `ListItem`

public class ContractGroup extends IdTitle implements Comparable<ContractGroup>
Группа договора

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ContractGroup()`
  `ContractGroup(int id, String title)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `compareTo(ContractGroup o)`
  `String`
  `getComment()`
  `boolean`
  `getNotEditable()`
  Deprecated.
  use `isEditable()`
  `boolean`
  `isEditable()`
  Возвращает свойство редактируемости группы.
  `boolean`
  `isEnabled()`
  `ContractGroup`
  `setComment(String comment)`
  `ContractGroup`
  `setEditable(boolean editable)`
  Устанавливает свойство редактируемости группы
  `ContractGroup`
  `setEnabled(boolean enabled)`
  `ContractGroup`
  `setId(int id)`
  Устанавливает id объекта
  `void`
  `setNotEditable(boolean notEditable)`
  Deprecated.
  use `setEditable(boolean)`
  `ContractGroup`
  `setTitle(String title)`
  Устанавливает название (описание) объекта

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Constructor Details

  - ### ContractGroup

    public ContractGroup()

  - ### ContractGroup

    public ContractGroup(int id, String title)

- ## Method Details

  - ### compareTo

    public int compareTo(ContractGroup o)
    Specified by:
      `compareTo` in interface `Comparable<ContractGroup>`

  - ### getComment

    public String getComment()

  - ### getNotEditable

    @Deprecated public boolean getNotEditable()
    Deprecated.
    use `isEditable()`
    Возвращает свойство редактируемости группы.
    Returns:
      true - не редактируемая, false - редактируемая.

  - ### isEditable

    public boolean isEditable()
    Возвращает свойство редактируемости группы.
    Returns:
      true - редактируемая, false - нередактируемая.

  - ### isEnabled

    public boolean isEnabled()

  - ### setId

    public ContractGroup setId(int id)
    Description copied from class: `Id`
    Устанавливает id объекта
    Overrides:
      `setId` in class `IdTitle`

  - ### setTitle

    public ContractGroup setTitle(String title)
    Description copied from class: `IdTitle`
    Устанавливает название (описание) объекта
    Overrides:
      `setTitle` in class `IdTitle`

  - ### setComment

    public ContractGroup setComment(String comment)

  - ### setEditable

    public ContractGroup setEditable(boolean editable)
    Устанавливает свойство редактируемости группы
    Parameters:
      `editable` -

  - ### setEnabled

    public ContractGroup setEnabled(boolean enabled)

  - ### setNotEditable

    @Deprecated public void setNotEditable(boolean notEditable)
    Deprecated.
    use `setEditable(boolean)`
    Устанавливает свойство редактируемости группы
    Parameters:
      `notEditable` -